<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">

  <mb-button mbButtonSize="LARGE"
             mbButtonAvailableStyle='PRIMARY'
             (click)="onClickCreate()"
             mbButtonText="{{ 'development.approvement-config.add' | translate }}">
  </mb-button>
</div>
<nz-card class="search-bar">
  <form nz-form>
    <div nz-row [nzGutter]="16">
      <div nz-col class="gutter-row" nzLg="8">
        <mb-select
          [mbDataSelects]="dataCommon?.formDTOs"
          mbKeyLabel="formName"
          mbKeyValue="code"
          name="formLD"
          [(ngModel)]="params.formLD"
          mbLabelText="Hình thức L&D"
          mbPlaceholder="Hình thức L&D"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="8">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="effectiveStartDate"
          [(ngModel)]="params.effectiveFromDate"
          [mbDisabledDate]="disabledStartDate"
          mbLabelText="Thời gian hiệu lực từ ngày"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="8">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="effectiveEndDate"
          [(ngModel)]="params.effectiveToDate"
          [mbDisabledDate]="disabledEndDate"
          mbLabelText="Thời gian hiệu lực đến ngày"
        ></mb-date-picker>
      </div>
    </div>
  </form>
  <div class="block-action-search">
    <button class="search-btn" nz-button nzType="text" (click)="search(true)" [disabled]="isLoading">Tìm kiếm</button>
    <button (click)="exportExcel()" nz-button nzType="default" nzSize="large">
      <img src="assets/images/icon/excel.svg" alt="" />
    </button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table (changePageNum)='pageChange($event)' [tableConfig]="tableConfig" [tableData]="dataTable" [heightTable]="heightTable"></mb-table>
</mb-table-wrap>

<ng-template #actionTmpl let-id='id'>
  <em nz-icon nzType="edit" nzTheme="outline" (click)="detail(id)"></em>
  <em nz-icon nzType="delete" nzTheme="outline" (click)="deleteItem(id)"></em>
</ng-template>


